package com.mortals.xhx.common.code;

import com.mortals.framework.ap.SysConstains;
import com.mortals.framework.common.IBaseEnum;

import java.util.LinkedHashMap;
import java.util.Map;

/**
 * 资源类型
 * @author 
 *
 */
public enum AuthType implements IBaseEnum {
	UNLIMITED(0, "无限制", SysConstains.STYLE_DEFAULT),
    UNLOGIN(1, "无需登录查看", SysConstains.STYLE_DEFAULT),
    LOGIN(2, "需要登录查看", SysConstains.STYLE_DEFAULT),
    AUTH(3, "需要角色权限查看", SysConstains.STYLE_PRIMARY);
	//0：无限制，1：无需登录查看，2：需要登录查看，3：需要角色权限查看，默认3
    private int value;
    private String desc;
    private String style;

    AuthType(int value, String desc, String style) {
        this.value = value;
        this.desc = desc;
        this.style = style;
    }

    @Override
    public int getValue() {
        return this.value;
    }

    public String getDesc() {
        return desc;
    }

    public String getStyle()
	{
		return style;
	}

	public static AuthType getByValue(int value) {
        for (AuthType examStatus : AuthType.values()) {
            if (examStatus.getValue() == value) {
                return examStatus;
            }
        }
        return null;
    }
	/**
	 * 获取Map集合
	 * @param eItem 不包含项
	 * @return
	 */
	public static Map<String,String> getEnumMap(int... eItem) {
		Map<String,String> resultMap= new LinkedHashMap<String,String>();
		for (AuthType item : AuthType.values()) {
			try{
				boolean hasE = false;
				for (int e : eItem){
					if(item.getValue()==e){
						hasE = true;
						break;
					}
				}
				if(!hasE){
					resultMap.put(item.getValue()+"", item.getDesc());
				}
			}catch(Exception ex){
			}
		}
		return resultMap;
	}
}
